Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Actor Class Reference

Inherits Glib::Object, and Clutter::Scriptable.

Inherited by Clutter::Clone, Clutter::Group, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

Collaboration diagram for Clutter::Actor:
[legend]

List of all members.

## Public Member Functions
virtual | ~Actor ()
ClutterActor* | gobj ()
| Provides access to the underlying C GObject.
const ClutterActor* | gobj () const
| Provides access to the underlying C GObject.
ClutterActor* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_flags (ActorFlags flags)
| Sets flags on self.
void | unset_flags (ActorFlags flags)
| Unsets flags on self.
ActorFlags | get_flags () const
| Retrieves the flags set on self.
bool | is_mapped () const
bool | is_realized () const
bool | is_visible () const
bool | is_reactive () const
void | show ()
| Flags an actor to be displayed.
void | show_all ()
| Calls show() on all children of an actor (if any).
void | hide ()
| Flags an actor to be hidden.
void | hide_all ()
| Calls hide() on all child actors (if any).
void | realize ()
| Creates any underlying graphics resources needed by the actor to be displayed.
void | unrealize ()
| Frees up any underlying graphics resources needed by the actor to be displayed.
void | map ()
| Sets the Clutter::ACTOR_MAPPED flag on the actor and possibly maps and realizes its children if they are visible.
void | unmap ()
| Unsets the Clutter::ACTOR_MAPPED flag on the actor and possibly unmaps its children if they were mapped.
void | paint ()
| Renders the actor to display.
void | queue_redraw ()
| Queues up a redraw of an actor and any children.
void | queue_relayout ()
| Indicates that the actor's size request or other layout-affecting properties may have changed.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Retrieves the Pango::Context for self.
Glib::RefPtr< const Pango::Context > | get_pango_context () const
| Retrieves the Pango::Context for self.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a Pango::Context for the given actor.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout from the same Pango::Context used by the Clutter::Actor.
void | get_transformation_matrix (CoglMatrix* matrix)
| Retrieves the transformations applied to self.
bool | is_in_clone_paint () const
| Checks whether self is being currently painted by a Clutter::Clone.
bool | has_pointer () const
| Checks whether an actor contains the the pointer of a Clutter::InputDevice.
void | set_text_direction (TextDirection text_dir)
| Sets the Clutter::TextDirection for an actor.
TextDirection | get_text_direction () const
| Retrieves the value set using set_text_direction().
Glib::RefPtr< Actor > | get_stage ()
| Retrieves the Clutter::Stage where actor is contained.
Glib::RefPtr< const Actor > | get_stage () const
| Retrieves the Clutter::Stage where actor is contained.
void | set_geometry (const Geometry& geometry)
| Sets the actor's fixed position and forces its minimum and natural size, in pixels.
Geometry | get_geometry () const
| Gets the size and position of an actor relative to its parent actor.
void | set_size (float width, float height)
| Sets the actor's size request in pixels.
void | get_position (float& x, float& y)
| This function tries to "do what you mean" and tell you where the actor is, prior to any transformations.
void | set_position (float x, float y)
| Sets the actor's fixed position in pixels relative to any parent actor.
float | get_width () const
| Retrieves the width of a Clutter::Actor.
float | get_height () const
| Retrieves the height of a Clutter::Actor.
void | set_width (float width)
| Forces a width on an actor, causing the actor's preferred width and height (if any) to be ignored.
void | set_height (float height)
| Forces a height on an actor, causing the actor's preferred width and height (if any) to be ignored.
void | set_x (float x)
| Sets the actor's X coordinate, relative to its parent, in pixels.
float | get_x () const
| Retrieves the X coordinate of a Clutter::Actor.
void | set_y (float y)
| Sets the actor's Y coordinate, relative to its parent, in pixels.
float | get_y () const
| Retrieves the Y coordinate of a Clutter::Actor.
void | set_reactive (bool reactive=true)
| Sets actor as reactive.
bool | get_reactive () const
| Checks whether actor is marked as reactive.
void | set_rotation (RotateAxis axis, double angle, float x, float y, float z)
| Sets the rotation angle of self around the given axis.
void | set_z_rotation_from_gravity (double angle, Gravity gravity)
| Sets the rotation angle of self around the Z axis using the center point specified as a compass point.
double | get_rotation (RotateAxis axis, float& x, float& y, float& z) const
| Retrieves the angle and center of rotation on the given axis, set using set_rotation().
Gravity | get_z_rotation_gravity () const
| Retrieves the center for the rotation around the Z axis as a compass direction.
void | set_opacity (guint8 opacity)
| Sets the actor's opacity, with zero being completely transparent and 255 (0xff) being fully opaque.
guint8 | get_opacity () const
| Retrieves the opacity value of an actor, as set by set_opacity().
void | set_name (const gchar* name)
| Sets the given name to self.
Glib::ustring | get_name () const
| Retrieves the name of self.
guint32 | get_gid () const
| Retrieves the unique id for self.
void | set_clip (float xoff, float yoff, float width, float height)
| Sets clip area for self.
void | get_clip (float& xoff, float& yoff, float& width, float& height)
| Gets the clip area for self, if any is set.
void | set_clip_to_allocation (bool clip_set=true)
bool | get_clip_to_allocation () const
void | remove_clip ()
| Removes clip area from self.
bool | has_clip () const
| Determines whether the actor has a clip area set or not.
void | set_parent (const Glib::RefPtr< Actor >& parent)
| Sets the parent of self to parent.
Glib::RefPtr< Actor > | get_parent ()
| Retrieves the parent of self.
Glib::RefPtr< const Actor > | get_parent () const
| Retrieves the parent of self.
void | reparent (const Glib::RefPtr< Actor >& new_parent)
| This function resets the parent actor of self.
void | unparent ()
| Removes the parent of self.
bool | contains (const Glib::RefPtr< const Actor >& descendant) const
void | raise (const Glib::RefPtr< Actor >& below)
| Puts self above below.
void | lower (const Glib::RefPtr< Actor >& above)
| Puts self below above.
void | raise_top ()
| Raises self to the top.
void | lower_bottom ()
| Lowers self to the bottom.
Glib::RefPtr< Shader > | get_shader ()
| Queries the currently set Clutter::Shader on self.
Glib::RefPtr< const Shader > | get_shader () const
| Queries the currently set Clutter::Shader on self.
void | set_shader (const Glib::RefPtr< Shader >& shader)
| Sets the Clutter::Shader to be used when rendering self.
template<class ParamType >
void | set_shader_param (const Glib::ustring& param, const ParamType&value)
| Sets the value for a named parameter of the shader applied to actor.
bool | is_rotated () const
| Checks whether any rotation is applied to the actor.
bool | is_scaled () const
| Checks whether the actor is scaled in either dimension.
bool | should_pick_paint () const
| Should be called inside the implementation of the Clutter::Actor::pick virtual function in order to check whether the actor should paint itself in pick mode or not.
void | get_allocation_vertices (Vertex vertices[4]) const
| Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.
void | get_allocation_vertices (const Glib::RefPtr< Actor >& ancestor, Vertex vertices[4]) const
| Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.
void | get_abs_allocation_vertices (Vertex vertices[4]) const
| Calculates the transformed screen coordinates of the four corners of the actor; the returned vertices relate to the Clutter::ActorBox coordinates as follows: <itemizedlist> <listitem>v[0] contains (x1, y1)</listitem> <listitem>v[1] contains (x2, y1)</listitem> <listitem>v[2] contains (x1, y2)</listitem> <listitem>v[3] contains (x2, y2)</listitem> </itemizedlist>
ActorBox | get_allocation_box () const
| Gets the layout box an actor has been assigned.
void | allocate (const ActorBox& box, AllocationFlags absolute_origin_changed=ALLOCATION_NONE)
| Called by the parent of an actor to assign the actor its size.
void | allocate_preferred_size (AllocationFlags absolute_origin_changed=ALLOCATION_NONE)
| Allocates the natural size of self.
void | allocate_available_size (float x, float y, float available_width, float available_height, AllocationFlags flags=ALLOCATION_NONE)
| Allocates self taking into account the Clutter::Actor's preferred size, but limiting it to the maximum available width and height provided.
void | apply_relative_transform_to_point (const Glib::RefPtr< Actor >& ancestor, const Vertex& point, Vertex& vertex) const
| Transforms point in coordinates relative to the actor into ancestor-relative coordinates using the relevant transform stack (i.e. scale, rotation, etc).
void | apply_relative_transform_to_point (const Vertex& point, Vertex& vertex) const
| Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.
void | set_request_mode (RequestMode mode)
| Sets the geometry request mode of self.
RequestMode | get_request_mode () const
| Retrieves the geometry request mode of self.
void | get_preferred_size (float& min_width_p, float& min_height_p, float& natural_width_p, float& natural_height_p) const
| Computes the preferred minimum and natural size of an actor, taking into account the actor's geometry management (either height-for-width or width-for-height).
void | get_preferred_width (float for_height, float& min_width_p, float& natural_width_p) const
| Computes the requested minimum and natural widths for an actor, optionally depending on the specified height, or if they are already computed, returns the cached values.
void | get_preferred_height (float for_width, float& min_height_p, float& natural_height_p) const
| Computes the requested minimum and natural heights for an actor, or if they are already computed, returns the cached values.
guint8 | get_paint_opacity () const
| Retrieves the absolute opacity of the actor, as it appears on the stage.
bool | get_paint_visibility () const
| Retrieves the 'paint' visibility of an actor recursively checking for non visible parents.
void | move_anchor_point_from_gravity (Gravity gravity)
| Sets an anchor point on the actor based on the given gravity, adjusting the actor postion so that its relative position within its parent remains unchanged.
void | move_anchor_point (float anchor_x, float anchor_y)
| Sets an anchor point for the actor, and adjusts the actor postion so that the relative position of the actor toward its parent remains the same.
bool | get_fixed_position_set () const
| Checks whether an actor has a fixed position set (and will thus be unaffected by any layout manager).
void | set_fixed_position_set (bool is_set)
| Sets whether an actor has a fixed position set (and will thus be unaffected by any layout manager).
void | get_transformed_position (float& x, float& y) const
| Gets the absolute position of an actor, in pixels relative to the stage.
void | get_transformed_size (float& width, float& height) const
| Gets the absolute size of an actor in pixels, taking into account the scaling factors.
Geometry | get_allocation_geometry () const
| Gets the layout box an actor has been assigned.
void | set_depth (float depth)
| Sets the Z coordinate of self to depth.
float | get_depth () const
| Retrieves the depth of self.
void | set_scale (double scale_x, double scale_y)
| Scales an actor with the given factors.
void | set_scale_full (double scale_x, double scale_y, float center_x, float center_y)
| Scales an actor with the given factors around the given center point.
void | set_scale_with_gravity (double scale_x, double scale_y, Gravity gravity)
| Scales an actor with the given factors around the given center point.
void | get_scale (double& scale_x, double& scale_y) const
| Retrieves an actors scale factors.
void | get_scale_center (float& center_x, float& center_y) const
| Retrieves the scale center coordinate in pixels relative to the top left corner of the actor.
Gravity | get_scale_gravity () const
| Retrieves the scale center as a compass direction.
void | get_size (float& width, float& height) const
| This function tries to "do what you mean" and return the size an actor will have.
void | move_by (float dx, float dy)
| Moves an actor by the specified distance relative to its current position in pixels.
void | apply_transform_to_point (const Vertex& point, Vertex& vertex) const
| Transforms point in coordinates relative to the actor into screen-relative coordinates with the current actor transformation (i.e. scale, rotation, etc).
void | transform_stage_point (float x, float y, float& x_out, float& y_out) const
| This function translates screen coordinates ( x, y) to coordinates relative to the actor.
bool | event (ClutterEvent* event, bool capture)
| This function is used to emit an event on the main stage.
void | set_anchor_point (float anchor_x, float anchor_y)
| Sets an anchor point for self.
void | get_anchor_point (float& anchor_x, float& anchor_y) const
| Gets the current anchor point of the actor in pixels.
void | set_anchor_point_from_gravity (ClutterGravity gravity)
| Sets an anchor point on the actor, based on the given gravity (this is a convenience function wrapping set_anchor_point()).
Gravity | get_anchor_point_gravity ()
| Retrieves the anchor position expressed as a Clutter::Gravity.
void | grab_key_focus ()
| Sets the key focus of the Clutter::Stage including self to this Clutter::Actor.
Glib::RefPtr< Animation > | animate (gulong mode, guint duration, const std::map< std::string, Glib::ValueBase >& properties)
Glib::RefPtr< Animation > | animate (gulong mode, const Glib::RefPtr< Timeline >& timeline, const std::map< std::string, Glib::ValueBase >& properties)
Glib::RefPtr< Animation > | animate (const Glib::RefPtr< Alpha >& alpha, const std::map< std::string, Glib::ValueBase >& properties)
Glib::RefPtr< Animation > | get_animation ()
| Retrieves the Clutter::Animation used by actor, if animate() has been called on actor.
Glib::RefPtr< const Animation > | get_animation () const
| Retrieves the Clutter::Animation used by actor, if animate() has been called on actor.
void | push_internal ()
| Should be used by actors implementing the Clutter::Container and with internal children added through set_parent(), for instance:
void | pop_internal ()
| Disables the effects of pop_internal().
bool | has_allocation () const
Glib::RefPtr< Atk::Object > | get_accessible ()
Glib::RefPtr< const Atk::Object > | get_accessible () const
void | add_action (const Glib::RefPtr< Action >& action)
void | add_action (const Glib::ustring& name, const Glib::RefPtr< Action >& action)
void | remove_action (const Glib::RefPtr< Action >& action)
void | remove_action (const Glib::ustring& name)
Glib::RefPtr< Action > | get_action (const Glib::ustring& name)
Glib::RefPtr< const Action > | get_action (const Glib::ustring& name) const
void | clear_actions ()
void | add_effect (const Glib::RefPtr< Effect >& effect)
void | add_effect_with_name (const Glib::ustring& name, const Glib::RefPtr< Effect >& effect)
void | remove_effect (const Glib::RefPtr< Effect >& effect)
void | remove_effect (const Glib::ustring& name)
Glib::RefPtr< Effect > | get_effect (const Glib::ustring& name)
Glib::RefPtr< const Effect > | get_effect (const Glib::ustring& name) const
void | clear_effects ()
Glib::SignalProxy1< bool, ButtonEvent* > | signal_button_press_event ()
Glib::SignalProxy1< bool, ButtonEvent* > | signal_button_release_event ()
Glib::SignalProxy1< bool, MotionEvent* > | signal_motion_event ()
Glib::SignalProxy1< bool, CrossingEvent* > | signal_leave_event ()
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_destroy ()
Glib::SignalProxy1< bool, KeyEvent* > | signal_key_release_event ()
Glib::SignalProxy1< bool, CrossingEvent* > | signal_enter_event ()
Glib::SignalProxy1< bool, Event* > | signal_event ()
Glib::SignalProxy0< void > | signal_key_focus_out ()
Glib::SignalProxy0< void > | signal_key_focus_in ()
Glib::SignalProxy1< void, const Glib::RefPtr< Actor >& > | signal_parent_set ()
Glib::SignalProxy1< bool, ScrollEvent* > | signal_scroll_event ()
Glib::SignalProxy1< bool, KeyEvent* > | signal_key_press_event ()
Glib::SignalProxy1< bool, Event* > | signal_captured_event ()
Glib::SignalProxy0< void > | signal_paint ()
Glib::SignalProxy1< void, const Glib::RefPtr< Actor >& > | signal_queue_redaw ()
Glib::SignalProxy0< void > | signal_queue_relayout ()
Glib::SignalProxy0< void > | signal_realize ()
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, const Color& > | signal_pick ()
Glib::SignalProxy2< void, const ActorBox &, AllocationFlags > | signal_allocation_changed ()
Glib::PropertyProxy_ReadOnly < ActorBox > | property_allocation () const
| The actor's allocation.
Glib::PropertyProxy< float > | property_anchor_x ()
| X coordinate of the anchor point.
Glib::PropertyProxy_ReadOnly < float > | property_anchor_x () const
| X coordinate of the anchor point.
Glib::PropertyProxy< float > | property_anchor_y ()
| Y coordinate of the anchor point.
Glib::PropertyProxy_ReadOnly < float > | property_anchor_y () const
| Y coordinate of the anchor point.
Glib::PropertyProxy< Gravity > | property_anchor_gravity ()
| The anchor point as a ClutterGravity.
Glib::PropertyProxy_ReadOnly < Gravity > | property_anchor_gravity () const
| The anchor point as a ClutterGravity.
Glib::PropertyProxy< Geometry > | property_clip ()
| The clip region for the actor.
Glib::PropertyProxy_ReadOnly < Geometry > | property_clip () const
| The clip region for the actor.
Glib::PropertyProxy< bool > | property_clip_to_allocation ()
| Sets the clip region to track the actor's allocation.
Glib::PropertyProxy_ReadOnly < bool > | property_clip_to_allocation () const
| Sets the clip region to track the actor's allocation.
Glib::PropertyProxy< float > | property_depth ()
| Position on the Z axis.
Glib::PropertyProxy_ReadOnly < float > | property_depth () const
| Position on the Z axis.
Glib::PropertyProxy< bool > | property_fixed_position_set ()
| Whether to use fixed positioning for the actor.
Glib::PropertyProxy_ReadOnly < bool > | property_fixed_position_set () const
| Whether to use fixed positioning for the actor.
Glib::PropertyProxy< float > | property_fixed_x ()
| Forced X position of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_fixed_x () const
| Forced X position of the actor.
Glib::PropertyProxy< float > | property_fixed_y ()
| Forced Y position of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_fixed_y () const
| Forced Y position of the actor.
Glib::PropertyProxy_ReadOnly < bool > | property_has_clip () const
| Whether the actor has a clip set.
Glib::PropertyProxy_ReadOnly < bool > | property_has_pointer () const
| Whether the actor contains the pointer of an input device.
Glib::PropertyProxy< float > | property_height ()
| Height of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_height () const
| Height of the actor.
Glib::PropertyProxy< float > | property_min_height ()
| Forced minimum height request for the actor.
Glib::PropertyProxy_ReadOnly < float > | property_min_height () const
| Forced minimum height request for the actor.
Glib::PropertyProxy< bool > | property_min_height_set ()
| Whether to use the min-height property.
Glib::PropertyProxy_ReadOnly < bool > | property_min_height_set () const
| Whether to use the min-height property.
Glib::PropertyProxy< float > | property_min_width ()
| Forced minimum width request for the actor.
Glib::PropertyProxy_ReadOnly < float > | property_min_width () const
| Forced minimum width request for the actor.
Glib::PropertyProxy< bool > | property_min_width_set ()
| Whether to use the min-width property.
Glib::PropertyProxy_ReadOnly < bool > | property_min_width_set () const
| Whether to use the min-width property.
Glib::PropertyProxy < Glib::ustring > | property_name ()
| Name of the actor.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| Name of the actor.
Glib::PropertyProxy< guint8 > | property_opacity ()
| Opacity of an actor.
Glib::PropertyProxy_ReadOnly < guint8 > | property_opacity () const
| Opacity of an actor.
Glib::PropertyProxy< bool > | property_reactive ()
| Whether the actor is reactive to events.
Glib::PropertyProxy_ReadOnly < bool > | property_reactive () const
| Whether the actor is reactive to events.
Glib::PropertyProxy< RequestMode > | property_request_mode ()
| The actor's request mode.
Glib::PropertyProxy_ReadOnly < RequestMode > | property_request_mode () const
| The actor's request mode.
Glib::PropertyProxy< double > | property_rotation_angle_x ()
| The rotation angle on the X axis.
Glib::PropertyProxy_ReadOnly < double > | property_rotation_angle_x () const
| The rotation angle on the X axis.
Glib::PropertyProxy< double > | property_rotation_angle_y ()
| The rotation angle on the Y axis.
Glib::PropertyProxy_ReadOnly < double > | property_rotation_angle_y () const
| The rotation angle on the Y axis.
Glib::PropertyProxy< double > | property_rotation_angle_z ()
| The rotation angle on the Z axis.
Glib::PropertyProxy_ReadOnly < double > | property_rotation_angle_z () const
| The rotation angle on the Z axis.
Glib::PropertyProxy< Vertex > | property_rotation_center_x ()
| The rotation center on the X axis.
Glib::PropertyProxy_ReadOnly < Vertex > | property_rotation_center_x () const
| The rotation center on the X axis.
Glib::PropertyProxy< Vertex > | property_rotation_center_y ()
| The rotation center on the Y axis.
Glib::PropertyProxy_ReadOnly < Vertex > | property_rotation_center_y () const
| The rotation center on the Y axis.
Glib::PropertyProxy< Vertex > | property_rotation_center_z ()
| The rotation center on the Z axis.
Glib::PropertyProxy_ReadOnly < Vertex > | property_rotation_center_z () const
| The rotation center on the Z axis.
Glib::PropertyProxy< Gravity > | property_rotation_center_z_gravity ()
| Center point for rotation around the Z axis.
Glib::PropertyProxy_ReadOnly < Gravity > | property_rotation_center_z_gravity () const
| Center point for rotation around the Z axis.
Glib::PropertyProxy< double > | property_scale_x ()
| Scale factor on the X axis.
Glib::PropertyProxy_ReadOnly < double > | property_scale_x () const
| Scale factor on the X axis.
Glib::PropertyProxy< double > | property_scale_y ()
| Scale factor on the Y axis.
Glib::PropertyProxy_ReadOnly < double > | property_scale_y () const
| Scale factor on the Y axis.
Glib::PropertyProxy< double > | property_scale_center_x ()
| Horizontal scale center.
Glib::PropertyProxy_ReadOnly < double > | property_scale_center_x () const
| Horizontal scale center.
Glib::PropertyProxy< double > | property_scale_center_y ()
| Vertical scale center.
Glib::PropertyProxy_ReadOnly < double > | property_scale_center_y () const
| Vertical scale center.
Glib::PropertyProxy< Gravity > | property_scale_gravity ()
| The center of scaling.
Glib::PropertyProxy_ReadOnly < Gravity > | property_scale_gravity () const
| The center of scaling.
Glib::PropertyProxy< bool > | property_show_on_set_parent ()
| Whether the actor is shown when parented.
Glib::PropertyProxy_ReadOnly < bool > | property_show_on_set_parent () const
| Whether the actor is shown when parented.
Glib::PropertyProxy < TextDirection > | property_text_direction ()
| Direction of the text.
Glib::PropertyProxy_ReadOnly < TextDirection > | property_text_direction () const
| Direction of the text.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the actor is visible.
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the actor is visible.
Glib::PropertyProxy< float > | property_width ()
| Width of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_width () const
| Width of the actor.
Glib::PropertyProxy< float > | property_x ()
| X coordinate of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_x () const
| X coordinate of the actor.
Glib::PropertyProxy< float > | property_y ()
| Y coordinate of the actor.
Glib::PropertyProxy_ReadOnly < float > | property_y () const
| Y coordinate of the actor.
## Static Public Member Functions
static Glib::RefPtr< Actor > | get_actor_by_gid (guint32 id)
| Retrieves the Clutter::Actor with id.
## Protected Member Functions
| Actor ()
void | set_shader_param_value (const Glib::ustring& param, const Glib::ValueBase&value)
| Sets the value for a named parameter of the shader applied to actor.
virtual void | show_all_vfunc ()
virtual void | hide_all_vfunc ()
virtual void | pick_vfunc (const Color& color)
virtual void | get_preferred_width_vfunc (float for_height, float& min_width_p, float& natural_width_p) const
virtual void | get_preferred_height_vfunc (float for_width, float& min_height_p, float& natural_height_p) const
virtual void | allocate_vfunc (const ActorBox& box, AllocationFlags absolute_origin_changed)
virtual bool | on_button_press_event (ButtonEvent* event)
virtual bool | on_button_release_event (ButtonEvent* event)
virtual bool | on_motion_event (MotionEvent* event)
virtual bool | on_leave_event (CrossingEvent* event)
virtual void | on_show ()
virtual void | on_hide ()
virtual void | on_destroy ()
virtual bool | on_key_release_event (KeyEvent* event)
virtual bool | on_enter_event (CrossingEvent* event)
virtual bool | on_event (Event* event)
virtual void | on_key_focus_out ()
virtual void | on_key_focus_in ()
virtual void | on_parent_set (const Glib::RefPtr< Actor >& old_parent)
virtual bool | on_scroll_event (ScrollEvent* event)
virtual bool | on_key_press_event (KeyEvent* event)
virtual bool | on_captured_event (Event* event)
virtual void | on_paint ()
virtual void | on_queue_redaw (const Glib::RefPtr< Actor >& origin)
virtual void | on_queue_relayout ()
virtual void | on_realize ()
virtual void | on_unrealize ()
virtual void | on_pick (const Color& color)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Actor > | wrap (ClutterActor* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Actor::~Actor | ( |  | ) | `[virtual]`

Clutter::Actor::Actor | ( |  | ) | `[protected]`

## Member Function Documentation

void Clutter::Actor::add_action | ( | const Glib::RefPtr< Action >& | action | ) |

void Clutter::Actor::add_action | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Action >& | action |
| ) |  |  |

void Clutter::Actor::add_effect | ( | const Glib::RefPtr< Effect >& | effect | ) |

void Clutter::Actor::add_effect_with_name | ( | const Glib::ustring & | name,
|  | const Glib::RefPtr< Effect >& | effect |
| ) |  |  |

void Clutter::Actor::allocate | ( | const ActorBox& | box,
|  | AllocationFlags | absolute_origin_changed = `ALLOCATION_NONE` |
| ) |  |  |

Called by the parent of an actor to assign the actor its size.

Should never be called by applications (except when implementing a container or layout manager).

Actors can know from their allocation box whether they have moved with respect to their parent actor. The flags parameter describes additional information about the allocation, for instance whether the parent has moved with respect to the stage, for example because a grandparent's origin has moved.

Since cluttermm 0.8:

Parameters:

  | box | New allocation of the actor, in parent-relative coordinates.
  | flags | Flags that control the allocation.

void Clutter::Actor::allocate_available_size | ( | float | x,
|  | float | y,
|  | float | available_width,
|  | float | available_height,
|  | AllocationFlags | flags = `ALLOCATION_NONE` |
| ) |  |  |

Allocates self taking into account the Clutter::Actor's preferred size, but limiting it to the maximum available width and height provided.

This function will do the right thing when dealing with the actor's request mode.

The implementation of this function is equivalent to:

|[ if (request_mode == CLUTTER_REQUEST_HEIGHT_FOR_WIDTH) { clutter_actor_get_preferred_width (self, available_height, &min_width, &natural_width); width = CLAMP (natural_width, min_width, available_width);

clutter_actor_get_preferred_height (self, width, &min_height, &natural_height); height = CLAMP (natural_height, min_height, available_height); } else { clutter_actor_get_preferred_height (self, available_width, &min_height, &natural_height); height = CLAMP (natural_height, min_height, available_height);

clutter_actor_get_preferred_width (self, height, &min_width, &natural_width); width = CLAMP (natural_width, min_width, available_width); }

box.x1 = x; box.y1 = y; box.x2 = box.x1 + available_width; box.y2 = box.y1 + available_height; clutter_actor_allocate (self, &box, flags); ]|

This function can be used by fluid layout managers to allocate an actor's preferred size without making it bigger than the area available for the container.

Since cluttermm 1.0:

Parameters:

  | x | The actor's X coordinate.
  | y | The actor's Y coordinate.
  | available_width | The maximum available width, or -1 to use the actor's natural width.
  | available_height | The maximum available height, or -1 to use the actor's natural height.
  | flags | Flags controlling the allocation.

void Clutter::Actor::allocate_preferred_size | ( | AllocationFlags | absolute_origin_changed = `ALLOCATION_NONE` | ) |

Allocates the natural size of self.

This function is a utility call for Clutter::Actor implementations that allocates the actor's preferred natural size. It can be used by fixed layout managers (like Clutter::Group or so called 'composite actors') inside the ClutterActor::allocate implementation to give each child exactly how much space it requires.

This function is not meant to be used by applications. It is also not meant to be used outside the implementation of the ClutterActor::allocate virtual function.

Since cluttermm 0.8:

Parameters:

  | flags | Flags controlling the allocation.

virtual void Clutter::Actor::allocate_vfunc | ( | const ActorBox& | box,
|  | AllocationFlags | absolute_origin_changed |
| ) |  |  | `[protected, virtual]`

Glib::RefPtr<Animation> Clutter::Actor::animate | ( | gulong | mode,
|  | guint | duration,
|  | const std::map< std::string, Glib::ValueBase > & | properties |
| ) |  |  |

Glib::RefPtr<Animation> Clutter::Actor::animate | ( | gulong | mode,
|  | const Glib::RefPtr< Timeline >& | timeline,
|  | const std::map< std::string, Glib::ValueBase > & | properties |
| ) |  |  |

Glib::RefPtr<Animation> Clutter::Actor::animate | ( | const Glib::RefPtr< Alpha >& | alpha,
|  | const std::map< std::string, Glib::ValueBase > & | properties |
| ) |  |  |

void Clutter::Actor::apply_relative_transform_to_point | ( | const Glib::RefPtr< Actor >& | ancestor,
|  | const Vertex& | point,
|  | Vertex& | vertex |
| ) |  |  | const

Transforms point in coordinates relative to the actor into ancestor-relative coordinates using the relevant transform stack (i.e. scale, rotation, etc).

If ancestor is `0` the ancestor will be the Clutter::Stage. In this case, the coordinates returned will be the coordinates on the stage before the projection is applied. This is different from the behaviour of apply_transform_to_point().

Since cluttermm 0.6:

Parameters:

  | ancestor | A Clutter::Actor ancestor, or `0` to use the default Clutter::Stage.
  | point | A point as Clutter::Vertex.
  | vertex | The translated Clutter::Vertex.

void Clutter::Actor::apply_relative_transform_to_point | ( | const Vertex& | point,
|  | Vertex& | vertex |
| ) |  |  | const

Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.

The returned vertices relate to the Clutter::ActorBox coordinates as follows: <itemizedlist> <listitem> verts[0] contains (x1, y1)</listitem> <listitem> verts[1] contains (x2, y1)</listitem> <listitem> verts[2] contains (x1, y2)</listitem> <listitem> verts[3] contains (x2, y2)</listitem> </itemizedlist>

If ancestor is `0` the ancestor will be the Clutter::Stage. In this case, the coordinates returned will be the coordinates on the stage before the projection is applied. This is different from the behaviour of get_abs_allocation_vertices().

Since cluttermm 0.6:

Parameters:

  | ancestor | A Clutter::Actor to calculate the vertices against, or `0` to use the default Clutter::Stage.
  | verts | Return location for an array of 4 Clutter::Vertex in which to store the result.

void Clutter::Actor::apply_transform_to_point | ( | const Vertex& | point,
|  | Vertex& | vertex |
| ) |  |  | const

Transforms point in coordinates relative to the actor into screen-relative coordinates with the current actor transformation (i.e. scale, rotation, etc).

Since cluttermm 0.4:

Parameters:

  | point | A point as Clutter::Vertex.
  | vertex | The translated Clutter::Vertex.

void Clutter::Actor::clear_actions | ( |  | ) |

void Clutter::Actor::clear_effects | ( |  | ) |

bool Clutter::Actor::contains | ( | const Glib::RefPtr< const Actor >& | descendant | ) | const

Glib::RefPtr<Pango::Context> Clutter::Actor::create_pango_context | ( |  | ) |

Creates a Pango::Context for the given actor.

The Pango::Context is already configured using the appropriate font map, resolution and font options.

See also get_pango_context().

Since cluttermm 1.0:

Returns:
  The newly created Pango::Context. Use Glib::object_unref() on the returned value to deallocate its resources.

Glib::RefPtr<Pango::Layout> Clutter::Actor::create_pango_layout | ( | const Glib::ustring & | text | ) |

Creates a new Pango::Layout from the same Pango::Context used by the Clutter::Actor.

The Pango::Layout is already configured with the font map, resolution and font options, and the given text.

If you want to keep around a Pango::Layout created by this function you will have to connect to the Clutter::Backend::font-changed and Clutter::Backend::resolution-changed signals, and call pango_layout_context_changed() in response to them.

Since cluttermm 1.0:

Parameters:

  | text | (allow-none) the text to set on the Pango::Layout, or `0`.

Returns:
  The newly created Pango::Layout. Use Glib::object_unref() when done.

bool Clutter::Actor::event | ( | ClutterEvent * | event,
|  | bool | capture |
| ) |  |  |

This function is used to emit an event on the main stage.

You should rarely need to use this function, except for synthetising events.

Since cluttermm 0.6:

Parameters:

  | event | A Clutter::Event.
  | capture | `true` if event in in capture phase, `false` otherwise.

Returns:
  The return value from the signal emission: `true` if the actor handled the event, or `false` if the event was not handled.

void Clutter::Actor::get_abs_allocation_vertices | ( | Vertex | vertices[4] | ) | const

Calculates the transformed screen coordinates of the four corners of the actor; the returned vertices relate to the Clutter::ActorBox coordinates as follows: <itemizedlist> <listitem>v[0] contains (x1, y1)</listitem> <listitem>v[1] contains (x2, y1)</listitem> <listitem>v[2] contains (x1, y2)</listitem> <listitem>v[3] contains (x2, y2)</listitem> </itemizedlist>

Since cluttermm 0.4:

Parameters:

  | verts | Pointer to a location of an array of 4 Clutter::Vertex where to store the result.

Glib::RefPtr<Atk::Object> Clutter::Actor::get_accessible | ( |  | ) |

Glib::RefPtr<const Atk::Object> Clutter::Actor::get_accessible | ( |  | ) | const

Glib::RefPtr<Action> Clutter::Actor::get_action | ( | const Glib::ustring & | name | ) |

Glib::RefPtr<const Action> Clutter::Actor::get_action | ( | const Glib::ustring & | name | ) | const

static Glib::RefPtr<Actor> Clutter::Actor::get_actor_by_gid | ( | guint32 | id | ) | `[static]`

Retrieves the Clutter::Actor with id.

Since cluttermm 0.6:

Parameters:

  | id | A Clutter::Actor ID.

Returns:
  The actor with the passed id or `0`. The returned actor does not have its reference count increased.

ActorBox Clutter::Actor::get_allocation_box | ( |  | ) | const

Gets the layout box an actor has been assigned.

The allocation can only be assumed valid inside a paint() method; anywhere else, it may be out-of-date.

An allocation does not incorporate the actor's scale or anchor point; those transformations do not affect layout, only rendering.

<note>Do not call any of the clutter_actor_get_allocation_*() family of functions inside the implementation of the get_preferred_width() or get_preferred_height() virtual functions.</note>

Since cluttermm 0.8:

Parameters:

  | box | The function fills this in with the actor's allocation.

Geometry Clutter::Actor::get_allocation_geometry | ( |  | ) | const

Gets the layout box an actor has been assigned.

The allocation can only be assumed valid inside a paint() method; anywhere else, it may be out-of-date.

An allocation does not incorporate the actor's scale or anchor point; those transformations do not affect layout, only rendering.

The returned rectangle is in pixels.

Since cluttermm 0.8:

Parameters:

  | geom | Allocation geometry in pixels.

void Clutter::Actor::get_allocation_vertices | ( | Vertex | vertices[4] | ) | const

Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.

The returned vertices relate to the Clutter::ActorBox coordinates as follows: <itemizedlist> <listitem> verts[0] contains (x1, y1)</listitem> <listitem> verts[1] contains (x2, y1)</listitem> <listitem> verts[2] contains (x1, y2)</listitem> <listitem> verts[3] contains (x2, y2)</listitem> </itemizedlist>

If ancestor is `0` the ancestor will be the Clutter::Stage. In this case, the coordinates returned will be the coordinates on the stage before the projection is applied. This is different from the behaviour of get_abs_allocation_vertices().

Since cluttermm 0.6:

Parameters:

  | ancestor | A Clutter::Actor to calculate the vertices against, or `0` to use the default Clutter::Stage.
  | verts | Return location for an array of 4 Clutter::Vertex in which to store the result.

void Clutter::Actor::get_allocation_vertices | ( | const Glib::RefPtr< Actor >& | ancestor,
|  | Vertex | vertices[4] |
| ) |  |  | const

Calculates the transformed coordinates of the four corners of the actor in the plane of ancestor.

The returned vertices relate to the Clutter::ActorBox coordinates as follows: <itemizedlist> <listitem> verts[0] contains (x1, y1)</listitem> <listitem> verts[1] contains (x2, y1)</listitem> <listitem> verts[2] contains (x1, y2)</listitem> <listitem> verts[3] contains (x2, y2)</listitem> </itemizedlist>

If ancestor is `0` the ancestor will be the Clutter::Stage. In this case, the coordinates returned will be the coordinates on the stage before the projection is applied. This is different from the behaviour of get_abs_allocation_vertices().

Since cluttermm 0.6:

Parameters:

  | ancestor | A Clutter::Actor to calculate the vertices against, or `0` to use the default Clutter::Stage.
  | verts | Return location for an array of 4 Clutter::Vertex in which to store the result.

void Clutter::Actor::get_anchor_point | ( | float & | anchor_x,
|  | float & | anchor_y |
| ) |  |  | const

Gets the current anchor point of the actor in pixels.

Since cluttermm 0.6:

Parameters:

  | anchor_x | Return location for the X coordinate of the anchor point.
  | anchor_y | Return location for the Y coordinate of the anchor point.

Gravity Clutter::Actor::get_anchor_point_gravity | ( |  | ) |

Retrieves the anchor position expressed as a Clutter::Gravity.

If the anchor point was specified using pixels or units this will return Clutter::GRAVITY_NONE.

Since cluttermm 1.0:

Returns:
  The Clutter::Gravity used by the anchor point.

Glib::RefPtr<Animation> Clutter::Actor::get_animation | ( |  | ) |

Retrieves the Clutter::Animation used by actor, if animate() has been called on actor.

Since cluttermm 1.0:

Returns:
  A Clutter::Animation, or `0`.

Glib::RefPtr<const Animation> Clutter::Actor::get_animation | ( |  | ) | const

Retrieves the Clutter::Animation used by actor, if animate() has been called on actor.

Since cluttermm 1.0:

Returns:
  A Clutter::Animation, or `0`.

void Clutter::Actor::get_clip | ( | float & | xoff,
|  | float & | yoff,
|  | float & | width,
|  | float & | height |
| ) |  |  |

Gets the clip area for self, if any is set.

Since cluttermm 0.6:

Parameters:

  | xoff | Return location for the X offset of the clip rectangle, or `0`.
  | yoff | Return location for the Y offset of the clip rectangle, or `0`.
  | width | Return location for the width of the clip rectangle, or `0`.
  | height | Return location for the height of the clip rectangle, or `0`.

bool Clutter::Actor::get_clip_to_allocation | ( |  | ) | const

float Clutter::Actor::get_depth | ( |  | ) | const

Retrieves the depth of self.

Returns:
  The depth of the actor.

Glib::RefPtr<Effect> Clutter::Actor::get_effect | ( | const Glib::ustring & | name | ) |

Glib::RefPtr<const Effect> Clutter::Actor::get_effect | ( | const Glib::ustring & | name | ) | const

bool Clutter::Actor::get_fixed_position_set | ( |  | ) | const

Checks whether an actor has a fixed position set (and will thus be unaffected by any layout manager).

Since cluttermm 0.8:

Returns:
  `true` if the fixed position is set on the actor.

ActorFlags Clutter::Actor::get_flags | ( |  | ) | const

Retrieves the flags set on self.

Since cluttermm 1.0:

Returns:
  A bitwise or of Clutter::ActorFlags or 0.

Geometry Clutter::Actor::get_geometry | ( |  | ) | const

Gets the size and position of an actor relative to its parent actor.

This is the same as calling get_position() and get_size(). It tries to "do what you mean" and get the requested size and position if the actor's allocation is invalid.

Parameters:

  | geometry | A location to store actors Clutter::Geometry.

guint32 Clutter::Actor::get_gid | ( |  | ) | const

Retrieves the unique id for self.

Since cluttermm 0.6:

Returns:
  Globally unique value for this object instance.

float Clutter::Actor::get_height | ( |  | ) | const

Retrieves the height of a Clutter::Actor.

If the actor has a valid allocation, this function will return the height of the allocated area given to the actor.

If the actor does not have a valid allocation, this function will return the actor's natural height, that is the preferred height of the actor.

If you care whether you get the preferred height or the height that has been assigned to the actor, you should probably call a different function like get_allocation_box() to retrieve the allocated size or get_preferred_height() to retrieve the preferred height.

If an actor has a fixed height, for instance a height that has been assigned using set_height(), the height returned will be the same value.

Returns:
  The height of the actor, in pixels.

Glib::ustring Clutter::Actor::get_name | ( |  | ) | const

Retrieves the name of self.

Returns:
  The name of the actor, or `0`. The returned string is owned by the actor and should not be modified or freed.

guint8 Clutter::Actor::get_opacity | ( |  | ) | const

Retrieves the opacity value of an actor, as set by set_opacity().

For retrieving the absolute opacity of the actor inside a paint virtual function, see get_paint_opacity().

Returns:
  The opacity of the actor.

guint8 Clutter::Actor::get_paint_opacity | ( |  | ) | const

Retrieves the absolute opacity of the actor, as it appears on the stage.

This function traverses the hierarchy chain and composites the opacity of the actor with that of its parents.

This function is intended for subclasses to use in the paint virtual function, to paint themselves with the correct opacity.

Since cluttermm 0.8:

Returns:
  The actor opacity value.

bool Clutter::Actor::get_paint_visibility | ( |  | ) | const

Retrieves the 'paint' visibility of an actor recursively checking for non visible parents.

This is by definition the same as CLUTTER_ACTOR_IS_MAPPED().

Since cluttermm 0.8:
  .4

Returns:
  `true` if the actor is visibile and will be painted.

Glib::RefPtr<Pango::Context> Clutter::Actor::get_pango_context | ( |  | ) |

Retrieves the Pango::Context for self.

The actor's Pango::Context is already configured using the appropriate font map, resolution and font options.

Unlike create_pango_context(), this context is owend by the Clutter::Actor and it will be updated each time the options stored by the Clutter::Backend change.

You can use the returned Pango::Context to create a Pango::Layout and render text using cogl_pango_render_layout() to reuse the glyphs cache also used by Clutter.

Since cluttermm 1.0:

Returns:
  The Pango::Context for a Clutter::Actor. The returned Pango::Context is owned by the actor and should not be unreferenced by the application code.

Glib::RefPtr<const Pango::Context> Clutter::Actor::get_pango_context | ( |  | ) | const

Retrieves the Pango::Context for self.

The actor's Pango::Context is already configured using the appropriate font map, resolution and font options.

Unlike create_pango_context(), this context is owend by the Clutter::Actor and it will be updated each time the options stored by the Clutter::Backend change.

You can use the returned Pango::Context to create a Pango::Layout and render text using cogl_pango_render_layout() to reuse the glyphs cache also used by Clutter.

Since cluttermm 1.0:

Returns:
  The Pango::Context for a Clutter::Actor. The returned Pango::Context is owned by the actor and should not be unreferenced by the application code.

Glib::RefPtr<const Actor> Clutter::Actor::get_parent | ( |  | ) | const

Retrieves the parent of self.

Returns:
  The Clutter::Actor parent, or `0` if no parent is set.

Glib::RefPtr<Actor> Clutter::Actor::get_parent | ( |  | ) |

Retrieves the parent of self.

Returns:
  The Clutter::Actor parent, or `0` if no parent is set.

void Clutter::Actor::get_position | ( | float & | x,
|  | float & | y |
| ) |  |  |

This function tries to "do what you mean" and tell you where the actor is, prior to any transformations.

Retrieves the fixed position of an actor in pixels, if one has been set; otherwise, if the allocation is valid, returns the actor's allocated position; otherwise, returns 0,0.

The returned position is in pixels.

Since cluttermm 0.6:

Parameters:

  | x | Return location for the X coordinate, or `0`.
  | y | Return location for the Y coordinate, or `0`.

void Clutter::Actor::get_preferred_height | ( | float | for_width,
|  | float & | min_height_p,
|  | float & | natural_height_p |
| ) |  |  | const

Computes the requested minimum and natural heights for an actor, or if they are already computed, returns the cached values.

An actor may not get its request - depending on the layout manager that's in effect.

A request should not incorporate the actor's scale or anchor point; those transformations do not affect layout, only rendering.

Since cluttermm 0.8:

Parameters:

  | for_width | Available width to assume in computing desired height, or a negative value to indicate that no width is defined.
  | min_height_p | Return location for minimum height, or `0`.
  | natural_height_p | Return location for natural height, or `0`.

virtual void Clutter::Actor::get_preferred_height_vfunc | ( | float | for_width,
|  | float & | min_height_p,
|  | float & | natural_height_p |
| ) |  |  | const`[protected, virtual]`

void Clutter::Actor::get_preferred_size | ( | float & | min_width_p,
|  | float & | min_height_p,
|  | float & | natural_width_p,
|  | float & | natural_height_p |
| ) |  |  | const

Computes the preferred minimum and natural size of an actor, taking into account the actor's geometry management (either height-for-width or width-for-height).

The width and height used to compute the preferred height and preferred width are the actor's natural ones.

If you need to control the height for the preferred width, or the width for the preferred height, you should use get_preferred_width() and get_preferred_height(), and check the actor's preferred geometry management using the Clutter::Actor:request-mode property.

Since cluttermm 0.8:

Parameters:

  | min_width_p | Return location for the minimum width, or `0`.
  | min_height_p | Return location for the minimum height, or `0`.
  | natural_width_p | Return location for the natural width, or `0`.
  | natural_height_p | Return location for the natural height, or `0`.

void Clutter::Actor::get_preferred_width | ( | float | for_height,
|  | float & | min_width_p,
|  | float & | natural_width_p |
| ) |  |  | const

Computes the requested minimum and natural widths for an actor, optionally depending on the specified height, or if they are already computed, returns the cached values.

An actor may not get its request - depending on the layout manager that's in effect.

A request should not incorporate the actor's scale or anchor point; those transformations do not affect layout, only rendering.

Since cluttermm 0.8:

Parameters:

  | for_height | Available height when computing the preferred width, or a negative value to indicate that no height is defined.
  | min_width_p | Return location for minimum width, or `0`.
  | natural_width_p | Return location for the natural width, or `0`.

virtual void Clutter::Actor::get_preferred_width_vfunc | ( | float | for_height,
|  | float & | min_width_p,
|  | float & | natural_width_p |
| ) |  |  | const`[protected, virtual]`

bool Clutter::Actor::get_reactive | ( |  | ) | const

Checks whether actor is marked as reactive.

Since cluttermm 0.6:

Returns:
  `true` if the actor is reactive.

RequestMode Clutter::Actor::get_request_mode | ( |  | ) | const

Retrieves the geometry request mode of self.

Since cluttermm 1.2:

Returns:
  The request mode for the actor.

double Clutter::Actor::get_rotation | ( | RotateAxis | axis,
|  | float & | x,
|  | float & | y,
|  | float & | z |
| ) |  |  | const

Retrieves the angle and center of rotation on the given axis, set using set_rotation().

Since cluttermm 0.8:

Parameters:

  | axis | The axis of rotation.
  | x | Return value for the X coordinate of the center of rotation.
  | y | Return value for the Y coordinate of the center of rotation.
  | z | Return value for the Z coordinate of the center of rotation.

Returns:
  The angle of rotation.

void Clutter::Actor::get_scale | ( | double & | scale_x,
|  | double & | scale_y |
| ) |  |  | const

Retrieves an actors scale factors.

Since cluttermm 0.2:

Parameters:

  | scale_x | Location to store horizonal scale factor, or `0`.
  | scale_y | Location to store vertical scale factor, or `0`.

void Clutter::Actor::get_scale_center | ( | float & | center_x,
|  | float & | center_y |
| ) |  |  | const

Retrieves the scale center coordinate in pixels relative to the top left corner of the actor.

If the scale center was specified using a Clutter::Gravity this will calculate the pixel offset using the current size of the actor.

Since cluttermm 1.0:

Parameters:

  | center_x | Location to store the X position of the scale center, or `0`.
  | center_y | Location to store the Y position of the scale center, or `0`.

Gravity Clutter::Actor::get_scale_gravity | ( |  | ) | const

Retrieves the scale center as a compass direction.

If the scale center was specified in pixels or units this will return Clutter::GRAVITY_NONE.

Since cluttermm 1.0:

Returns:
  The scale gravity.

Glib::RefPtr<Shader> Clutter::Actor::get_shader | ( |  | ) |

Queries the currently set Clutter::Shader on self.

Since cluttermm 0.6:

Returns:
  The currently set Clutter::Shader or `0` if no shader is set.

Glib::RefPtr<const Shader> Clutter::Actor::get_shader | ( |  | ) | const

Queries the currently set Clutter::Shader on self.

Since cluttermm 0.6:

Returns:
  The currently set Clutter::Shader or `0` if no shader is set.

void Clutter::Actor::get_size | ( | float & | width,
|  | float & | height |
| ) |  |  | const

This function tries to "do what you mean" and return the size an actor will have.

If the actor has a valid allocation, the allocation will be returned; otherwise, the actors natural size request will be returned.

If you care whether you get the request vs. the allocation, you should probably call a different function like get_allocation_box() or get_preferred_width().

Since cluttermm 0.2:

Parameters:

  | width | Return location for the width, or `0`.
  | height | Return location for the height, or `0`.

Glib::RefPtr<const Actor> Clutter::Actor::get_stage | ( |  | ) | const

Retrieves the Clutter::Stage where actor is contained.

Since cluttermm 0.8:

Returns:
  The stage containing the actor, or `0`.

Glib::RefPtr<Actor> Clutter::Actor::get_stage | ( |  | ) |

Retrieves the Clutter::Stage where actor is contained.

Since cluttermm 0.8:

Returns:
  The stage containing the actor, or `0`.

TextDirection Clutter::Actor::get_text_direction | ( |  | ) | const

Retrieves the value set using set_text_direction().

If no text direction has been previously set, the default text direction, as returned by clutter_get_default_text_direction(), will be returned instead

Since cluttermm 1.2:

Returns:
  The Clutter::TextDirection for the actor.

void Clutter::Actor::get_transformation_matrix | ( | CoglMatrix * | matrix | ) |

Retrieves the transformations applied to self.

Since cluttermm 1.0:

Parameters:

  | matrix | The return location for a Cogl::Matrix.

void Clutter::Actor::get_transformed_position | ( | float & | x,
|  | float & | y |
| ) |  |  | const

Gets the absolute position of an actor, in pixels relative to the stage.

Since cluttermm 0.8:

Parameters:

  | x | Return location for the X coordinate, or `0`.
  | y | Return location for the Y coordinate, or `0`.

void Clutter::Actor::get_transformed_size | ( | float & | width,
|  | float & | height |
| ) |  |  | const

Gets the absolute size of an actor in pixels, taking into account the scaling factors.

If the actor has a valid allocation, the allocated size will be used. If the actor has not a valid allocation then the preferred size will be transformed and returned.

If you want the transformed allocation, see get_abs_allocation_vertices() instead.

<note>When the actor (or one of its ancestors) is rotated around the X or Y axis, it no longer appears as on the stage as a rectangle, but as a generic quadrangle; in that case this function returns the size of the smallest rectangle that encapsulates the entire quad. Please note that in this case no assumptions can be made about the relative position of this envelope to the absolute position of the actor, as returned by get_transformed_position(); if you need this information, you need to use get_abs_allocation_vertices() to get the coords of the actual quadrangle.</note>

Since cluttermm 0.8:

Parameters:

  | width | Return location for the width, or `0`.
  | height | Return location for the height, or `0`.

float Clutter::Actor::get_width | ( |  | ) | const

Retrieves the width of a Clutter::Actor.

If the actor has a valid allocation, this function will return the width of the allocated area given to the actor.

If the actor does not have a valid allocation, this function will return the actor's natural width, that is the preferred width of the actor.

If you care whether you get the preferred width or the width that has been assigned to the actor, you should probably call a different function like get_allocation_box() to retrieve the allocated size or get_preferred_width() to retrieve the preferred width.

If an actor has a fixed width, for instance a width that has been assigned using set_width(), the width returned will be the same value.

Returns:
  The width of the actor, in pixels.

float Clutter::Actor::get_x | ( |  | ) | const

Retrieves the X coordinate of a Clutter::Actor.

This function tries to "do what you mean", by returning the correct value depending on the actor's state.

If the actor has a valid allocation, this function will return the X coordinate of the origin of the allocation box.

If the actor has any fixed coordinate set using set_x(), set_position() or set_geometry(), this function will return that coordinate.

If both the allocation and a fixed position are missing, this function will return 0.

Returns:
  The X coordinate, in pixels, ignoring any transformation (i.e. scaling, rotation).

float Clutter::Actor::get_y | ( |  | ) | const

Retrieves the Y coordinate of a Clutter::Actor.

This function tries to "do what you mean", by returning the correct value depending on the actor's state.

If the actor has a valid allocation, this function will return the Y coordinate of the origin of the allocation box.

If the actor has any fixed coordinate set using set_y(), set_position() or set_geometry(), this function will return that coordinate.

If both the allocation and a fixed position are missing, this function will return 0.

Returns:
  The Y coordinate, in pixels, ignoring any transformation (i.e. scaling, rotation).

Gravity Clutter::Actor::get_z_rotation_gravity | ( |  | ) | const

Retrieves the center for the rotation around the Z axis as a compass direction.

If the center was specified in pixels or units this will return Clutter::GRAVITY_NONE.

Since cluttermm 1.0:

Returns:
  The Z rotation center.

const ClutterActor* Clutter::Actor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Scriptable.

Reimplemented in Clutter::Cairo::Texture, Clutter::Clone, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

ClutterActor* Clutter::Actor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::Scriptable.

Reimplemented in Clutter::Cairo::Texture, Clutter::Clone, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

ClutterActor* Clutter::Actor::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Clutter::Cairo::Texture, Clutter::Clone, Clutter::Rectangle, Clutter::Text, and Clutter::Texture.

void Clutter::Actor::grab_key_focus | ( |  | ) |

Sets the key focus of the Clutter::Stage including self to this Clutter::Actor.

Since cluttermm 1.0:

bool Clutter::Actor::has_allocation | ( |  | ) | const

bool Clutter::Actor::has_clip | ( |  | ) | const

Determines whether the actor has a clip area set or not.

Since cluttermm 0.1:
  .1

Returns:
  `true` if the actor has a clip area set.

bool Clutter::Actor::has_pointer | ( |  | ) | const

Checks whether an actor contains the the pointer of a Clutter::InputDevice.

Since cluttermm 1.2:

Returns:
  `true` if the actor contains the pointer, and `false` otherwise.

void Clutter::Actor::hide | ( |  | ) |

Flags an actor to be hidden.

A hidden actor will not be rendered on the stage.

Actors are visible by default.

If this function is called on an actor without a parent, the Clutter::Actor:show-on-set-parent property will be set to `false` as a side-effect.

void Clutter::Actor::hide_all | ( |  | ) |

Calls hide() on all child actors (if any).

Since cluttermm 0.2:

virtual void Clutter::Actor::hide_all_vfunc | ( |  | ) | `[protected, virtual]`

bool Clutter::Actor::is_in_clone_paint | ( |  | ) | const

Checks whether self is being currently painted by a Clutter::Clone.

This function is useful only inside the paint virtual function implementations or within handlers for the Clutter::Actor::paint signal

This function should not be used by applications

Since cluttermm 1.0:

Returns:
  `true` if the Clutter::Actor is currently being painted by a Clutter::Clone, and `false` otherwise.

bool Clutter::Actor::is_mapped | ( |  | ) | const

bool Clutter::Actor::is_reactive | ( |  | ) | const

bool Clutter::Actor::is_realized | ( |  | ) | const

bool Clutter::Actor::is_rotated | ( |  | ) | const

Checks whether any rotation is applied to the actor.

Since cluttermm 0.6:

Returns:
  `true` if the actor is rotated.

bool Clutter::Actor::is_scaled | ( |  | ) | const

Checks whether the actor is scaled in either dimension.

Since cluttermm 0.6:

Returns:
  `true` if the actor is scaled.

bool Clutter::Actor::is_visible | ( |  | ) | const

void Clutter::Actor::lower | ( | const Glib::RefPtr< Actor >& | above | ) |

Puts self below above.

Both actors must have the same parent, and the parent must implement the Clutter::Container interface.

This function is the equivalent of Clutter::Container::lower_child().

Parameters:

  | above | A Clutter::Actor to lower below.

void Clutter::Actor::lower_bottom | ( |  | ) |

Lowers self to the bottom.

This function calls lower() internally.

void Clutter::Actor::map | ( |  | ) |

Sets the Clutter::ACTOR_MAPPED flag on the actor and possibly maps and realizes its children if they are visible.

Does nothing if the actor is not visible.

Calling this is allowed in only one case: you are implementing the Clutter::Actor::map virtual function in an actor and you need to map the children of that actor. It is not necessary to call this if you implement Clutter::Container because the default implementation will automatically map children of containers.

When overriding map, it is mandatory to chain up to the parent implementation.

Since cluttermm 1.0:

void Clutter::Actor::move_anchor_point | ( | float | anchor_x,
|  | float | anchor_y |
| ) |  |  |

Sets an anchor point for the actor, and adjusts the actor postion so that the relative position of the actor toward its parent remains the same.

Since cluttermm 0.6:

Parameters:

  | anchor_x | X coordinate of the anchor point.
  | anchor_y | Y coordinate of the anchor point.

void Clutter::Actor::move_anchor_point_from_gravity | ( | Gravity | gravity | ) |

Sets an anchor point on the actor based on the given gravity, adjusting the actor postion so that its relative position within its parent remains unchanged.

Since version 1.0 the anchor point will be stored as a gravity so that if the actor changes size then the anchor point will move. For example, if you set the anchor point to Clutter::GRAVITY_SOUTH_EAST and later double the size of the actor, the anchor point will move to the bottom right.

Since cluttermm 0.6:

Parameters:

  | gravity | Clutter::Gravity.

void Clutter::Actor::move_by | ( | float | dx,
|  | float | dy |
| ) |  |  |

Moves an actor by the specified distance relative to its current position in pixels.

This function modifies the fixed position of an actor and thus removes it from any layout management. Another way to move an actor is with an anchor point, see set_anchor_point().

Since cluttermm 0.2:

Parameters:

  | dx | Distance to move Actor on X axis.
  | dy | Distance to move Actor on Y axis.

virtual bool Clutter::Actor::on_button_press_event | ( | ButtonEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_button_release_event | ( | ButtonEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_captured_event | ( | Event* | event | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_destroy | ( |  | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_enter_event | ( | CrossingEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_event | ( | Event* | event | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_hide | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_key_focus_in | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_key_focus_out | ( |  | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_key_press_event | ( | KeyEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_key_release_event | ( | KeyEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_leave_event | ( | CrossingEvent* | event | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_motion_event | ( | MotionEvent* | event | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_paint | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_parent_set | ( | const Glib::RefPtr< Actor >& | old_parent | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_pick | ( | const Color& | color | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_queue_redaw | ( | const Glib::RefPtr< Actor >& | origin | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_queue_relayout | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_realize | ( |  | ) | `[protected, virtual]`

virtual bool Clutter::Actor::on_scroll_event | ( | ScrollEvent* | event | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_show | ( |  | ) | `[protected, virtual]`

virtual void Clutter::Actor::on_unrealize | ( |  | ) | `[protected, virtual]`

void Clutter::Actor::paint | ( |  | ) |

Renders the actor to display.

This function should not be called directly by applications. Call queue_redraw() to queue paints, instead.

This function will emit the Clutter::Actor::paint signal.

virtual void Clutter::Actor::pick_vfunc | ( | const Color& | color | ) | `[protected, virtual]`

void Clutter::Actor::pop_internal | ( |  | ) |

Disables the effects of pop_internal().

Since cluttermm 1.2:

Glib::PropertyProxy_ReadOnly<ActorBox> Clutter::Actor::property_allocation | ( |  | ) | const

The actor's allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gravity> Clutter::Actor::property_anchor_gravity | ( |  | ) |

The anchor point as a ClutterGravity.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gravity> Clutter::Actor::property_anchor_gravity | ( |  | ) | const

The anchor point as a ClutterGravity.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_anchor_x | ( |  | ) | const

X coordinate of the anchor point.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_anchor_x | ( |  | ) |

X coordinate of the anchor point.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_anchor_y | ( |  | ) | const

Y coordinate of the anchor point.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_anchor_y | ( |  | ) |

Y coordinate of the anchor point.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Geometry> Clutter::Actor::property_clip | ( |  | ) |

The clip region for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Geometry> Clutter::Actor::property_clip | ( |  | ) | const

The clip region for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_clip_to_allocation | ( |  | ) |

Sets the clip region to track the actor's allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_clip_to_allocation | ( |  | ) | const

Sets the clip region to track the actor's allocation.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_depth | ( |  | ) |

Position on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_depth | ( |  | ) | const

Position on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_fixed_position_set | ( |  | ) | const

Whether to use fixed positioning for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_fixed_position_set | ( |  | ) |

Whether to use fixed positioning for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_fixed_x | ( |  | ) |

Forced X position of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_fixed_x | ( |  | ) | const

Forced X position of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_fixed_y | ( |  | ) |

Forced Y position of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_fixed_y | ( |  | ) | const

Forced Y position of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_has_clip | ( |  | ) | const

Whether the actor has a clip set.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_has_pointer | ( |  | ) | const

Whether the actor contains the pointer of an input device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_height | ( |  | ) |

Height of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_height | ( |  | ) | const

Height of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_min_height | ( |  | ) |

Forced minimum height request for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_min_height | ( |  | ) | const

Forced minimum height request for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_min_height_set | ( |  | ) |

Whether to use the min-height property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_min_height_set | ( |  | ) | const

Whether to use the min-height property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_min_width | ( |  | ) |

Forced minimum width request for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_min_width | ( |  | ) | const

Forced minimum width request for the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_min_width_set | ( |  | ) | const

Whether to use the min-width property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_min_width_set | ( |  | ) |

Whether to use the min-width property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Clutter::Actor::property_name | ( |  | ) |

Name of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Clutter::Actor::property_name | ( |  | ) | const

Name of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint8> Clutter::Actor::property_opacity | ( |  | ) |

Opacity of an actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint8> Clutter::Actor::property_opacity | ( |  | ) | const

Opacity of an actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_reactive | ( |  | ) |

Whether the actor is reactive to events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_reactive | ( |  | ) | const

Whether the actor is reactive to events.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<RequestMode> Clutter::Actor::property_request_mode | ( |  | ) |

The actor's request mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<RequestMode> Clutter::Actor::property_request_mode | ( |  | ) | const

The actor's request mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_rotation_angle_x | ( |  | ) |

The rotation angle on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_rotation_angle_x | ( |  | ) | const

The rotation angle on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_rotation_angle_y | ( |  | ) | const

The rotation angle on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_rotation_angle_y | ( |  | ) |

The rotation angle on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_rotation_angle_z | ( |  | ) |

The rotation angle on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_rotation_angle_z | ( |  | ) | const

The rotation angle on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Vertex> Clutter::Actor::property_rotation_center_x | ( |  | ) |

The rotation center on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Vertex> Clutter::Actor::property_rotation_center_x | ( |  | ) | const

The rotation center on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Vertex> Clutter::Actor::property_rotation_center_y | ( |  | ) | const

The rotation center on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Vertex> Clutter::Actor::property_rotation_center_y | ( |  | ) |

The rotation center on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Vertex> Clutter::Actor::property_rotation_center_z | ( |  | ) |

The rotation center on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Vertex> Clutter::Actor::property_rotation_center_z | ( |  | ) | const

The rotation center on the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gravity> Clutter::Actor::property_rotation_center_z_gravity | ( |  | ) |

Center point for rotation around the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gravity> Clutter::Actor::property_rotation_center_z_gravity | ( |  | ) | const

Center point for rotation around the Z axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_scale_center_x | ( |  | ) | const

Horizontal scale center.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_scale_center_x | ( |  | ) |

Horizontal scale center.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_scale_center_y | ( |  | ) | const

Vertical scale center.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_scale_center_y | ( |  | ) |

Vertical scale center.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gravity> Clutter::Actor::property_scale_gravity | ( |  | ) |

The center of scaling.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gravity> Clutter::Actor::property_scale_gravity | ( |  | ) | const

The center of scaling.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_scale_x | ( |  | ) |

Scale factor on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_scale_x | ( |  | ) | const

Scale factor on the X axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Clutter::Actor::property_scale_y | ( |  | ) |

Scale factor on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Clutter::Actor::property_scale_y | ( |  | ) | const

Scale factor on the Y axis.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_show_on_set_parent | ( |  | ) |

Whether the actor is shown when parented.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_show_on_set_parent | ( |  | ) | const

Whether the actor is shown when parented.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<TextDirection> Clutter::Actor::property_text_direction | ( |  | ) | const

Direction of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<TextDirection> Clutter::Actor::property_text_direction | ( |  | ) |

Direction of the text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::Actor::property_visible | ( |  | ) | const

Whether the actor is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::Actor::property_visible | ( |  | ) |

Whether the actor is visible.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_width | ( |  | ) |

Width of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_width | ( |  | ) | const

Width of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_x | ( |  | ) | const

X coordinate of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_x | ( |  | ) |

X coordinate of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Clutter::Actor::property_y | ( |  | ) | const

Y coordinate of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Clutter::Actor::property_y | ( |  | ) |

Y coordinate of the actor.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Actor::push_internal | ( |  | ) |

Should be used by actors implementing the Clutter::Container and with internal children added through set_parent(), for instance:

|[ static void my_actor_init (MyActor *self) { self->priv = SELF_ACTOR_GET_PRIVATE (self);

clutter_actor_push_internal (CLUTTER_ACTOR (self));

/* calling set_parent() now will result in* the internal flag being set on a child of MyActor* /

/ * internal child: a background texture * / self->priv->background_tex = Clutter::Texture::new(); clutter_actor_set_parent (self->priv->background_tex, CLUTTER_ACTOR (self));

/ * internal child: a label * / self->priv->label = Clutter::Text::new(); clutter_actor_set_parent (self->priv->label, CLUTTER_ACTOR (self));

clutter_actor_pop_internal (CLUTTER_ACTOR (self));

/* calling set_parent() now will not result in* the internal flag being set on a child of MyActor* / } ]|

This function will be used by Clutter to toggle an "internal child" flag whenever set_parent() is called; internal children are handled differently by Clutter, specifically when destroying their parent.

Call pop_internal() when you finished adding internal children.

Nested calls to push_internal() are allowed, but each one must by followed by a pop_internal() call.

Since cluttermm 1.2:

void Clutter::Actor::queue_redraw | ( |  | ) |

Queues up a redraw of an actor and any children.

The redraw occurs once the main loop becomes idle (after the current batch of events has been processed, roughly).

Applications rarely need to call this, as redraws are handled automatically by modification functions.

This function will not do anything if self is not visible, or if the actor is inside an invisible part of the scenegraph.

Also be aware that painting is a NOP for actors with an opacity of 0

void Clutter::Actor::queue_relayout | ( |  | ) |

Indicates that the actor's size request or other layout-affecting properties may have changed.

This function is used inside Clutter::Actor subclass implementations, not by applications directly.

Queueing a new layout automatically queues a redraw as well.

Since cluttermm 0.8:

void Clutter::Actor::raise | ( | const Glib::RefPtr< Actor >& | below | ) |

Puts self above below.

Both actors must have the same parent, and the parent must implement the Clutter::Container interface

This function is the equivalent of Clutter::Container::raise_child().

Parameters:

  | below | A Clutter::Actor to raise above.

void Clutter::Actor::raise_top | ( |  | ) |

Raises self to the top.

This function calls raise() internally.

void Clutter::Actor::realize | ( |  | ) |

Creates any underlying graphics resources needed by the actor to be displayed.

Realization means the actor is now tied to a specific rendering context (that is, a specific toplevel stage).

This function does nothing if the actor is already realized.

Because a realized actor must have realized parent actors, calling realize() will also realize all parents of the actor.

This function does not realize child actors, except in the special case that realizing the stage, when the stage is visible, will suddenly map (and thus realize) the children of the stage.

void Clutter::Actor::remove_action | ( | const Glib::ustring & | name | ) |

void Clutter::Actor::remove_action | ( | const Glib::RefPtr< Action >& | action | ) |

void Clutter::Actor::remove_clip | ( |  | ) |

Removes clip area from self.

void Clutter::Actor::remove_effect | ( | const Glib::RefPtr< Effect >& | effect | ) |

void Clutter::Actor::remove_effect | ( | const Glib::ustring & | name | ) |

void Clutter::Actor::reparent | ( | const Glib::RefPtr< Actor >& | new_parent | ) |

This function resets the parent actor of self.

It is logically equivalent to calling unparent() and set_parent(), but more efficiently implemented, ensures the child is not finalized when unparented, and emits the parent-set signal only one time.

Since cluttermm 0.2:

Parameters:

  | new_parent | The new Clutter::Actor parent.

void Clutter::Actor::set_anchor_point | ( | float | anchor_x,
|  | float | anchor_y |
| ) |  |  |

Sets an anchor point for self.

The anchor point is a point in the coordinate space of an actor to which the actor position within its parent is relative; the default is (0, 0), i.e. the top-left corner of the actor.

Since cluttermm 0.6:

Parameters:

  | anchor_x | X coordinate of the anchor point.
  | anchor_y | Y coordinate of the anchor point.

void Clutter::Actor::set_anchor_point_from_gravity | ( | ClutterGravity | gravity | ) |

Sets an anchor point on the actor, based on the given gravity (this is a convenience function wrapping set_anchor_point()).

Since version 1.0 the anchor point will be stored as a gravity so that if the actor changes size then the anchor point will move. For example, if you set the anchor point to Clutter::GRAVITY_SOUTH_EAST and later double the size of the actor, the anchor point will move to the bottom right.

Since cluttermm 0.6:

Parameters:

  | gravity | Clutter::Gravity.

void Clutter::Actor::set_clip | ( | float | xoff,
|  | float | yoff,
|  | float | width,
|  | float | height |
| ) |  |  |

Sets clip area for self.

The clip area is always computed from the upper left corner of the actor, even if the anchor point is set otherwise.

Since cluttermm 0.6:

Parameters:

  | xoff | X offset of the clip rectangle.
  | yoff | Y offset of the clip rectangle.
  | width | Width of the clip rectangle.
  | height | Height of the clip rectangle.

void Clutter::Actor::set_clip_to_allocation | ( | bool | clip_set = `true` | ) |

void Clutter::Actor::set_depth | ( | float | depth | ) |

Sets the Z coordinate of self to depth.

The unit used by depth is dependant on the perspective setup. See also Clutter::Stage::set_perspective().

Parameters:

  | depth | Z co-ord.

void Clutter::Actor::set_fixed_position_set | ( | bool | is_set | ) |

Sets whether an actor has a fixed position set (and will thus be unaffected by any layout manager).

Since cluttermm 0.8:

Parameters:

  | is_set | Whether to use fixed position.

void Clutter::Actor::set_flags | ( | ActorFlags | flags | ) |

Sets flags on self.

This function will emit notifications for the changed properties

Since cluttermm 1.0:

Parameters:

  | flags | The flags to set.

void Clutter::Actor::set_geometry | ( | const Geometry& | geometry | ) |

Sets the actor's fixed position and forces its minimum and natural size, in pixels.

This means the untransformed actor will have the given geometry. This is the same as calling set_position() and set_size().

Parameters:

  | geometry | A Clutter::Geometry.

void Clutter::Actor::set_height | ( | float | height | ) |

Forces a height on an actor, causing the actor's preferred width and height (if any) to be ignored.

If height is -1 the actor will use its preferred height instead of overriding it, i.e. you can "unset" the height with -1.

This function sets both the minimum and natural size of the actor.

since: 0.2

Parameters:

  | height | Requested new height for the actor, in pixels, or -1.

void Clutter::Actor::set_name | ( | const gchar * | name | ) |

Sets the given name to self.

The name can be used to identify a Clutter::Actor.

Parameters:

  | name | Textual tag to apply to actor.

void Clutter::Actor::set_opacity | ( | guint8 | opacity | ) |

Sets the actor's opacity, with zero being completely transparent and 255 (0xff) being fully opaque.

Parameters:

  | opacity | New opacity value for the actor.

void Clutter::Actor::set_parent | ( | const Glib::RefPtr< Actor >& | parent | ) |

Sets the parent of self to parent.

The opposite function is unparent().

This function should not be used by applications, but by custom container actor subclasses.

Parameters:

  | parent | A new Clutter::Actor parent.

void Clutter::Actor::set_position | ( | float | x,
|  | float | y |
| ) |  |  |

Sets the actor's fixed position in pixels relative to any parent actor.

If a layout manager is in use, this position will override the layout manager and force a fixed position.

Parameters:

  | x | New left position of actor in pixels.
  | y | New top position of actor in pixels.

void Clutter::Actor::set_reactive | ( | bool | reactive = `true` | ) |

Sets actor as reactive.

Reactive actors will receive events.

Since cluttermm 0.6:

Parameters:

  | reactive | Whether the actor should be reactive to events.

void Clutter::Actor::set_request_mode | ( | RequestMode | mode | ) |

Sets the geometry request mode of self.

The mode determines the order for invoking get_preferred_width() and get_preferred_height()

Since cluttermm 1.2:

Parameters:

  | mode | The request mode.

void Clutter::Actor::set_rotation | ( | RotateAxis | axis,
|  | double | angle,
|  | float | x,
|  | float | y,
|  | float | z |
| ) |  |  |

Sets the rotation angle of self around the given axis.

The rotation center coordinates used depend on the value of axis: <itemizedlist> <listitem>Clutter::X_AXIS requires y and z </listitem> <listitem>Clutter::Y_AXIS requires x and z </listitem> <listitem>Clutter::Z_AXIS requires x and y </listitem> </itemizedlist>

The rotation coordinates are relative to the anchor point of the actor, set using set_anchor_point(). If no anchor point is set, the upper left corner is assumed as the origin.

Since cluttermm 0.8:

Parameters:

  | axis | The axis of rotation.
  | angle | The angle of rotation.
  | x | X coordinate of the rotation center.
  | y | Y coordinate of the rotation center.
  | z | Z coordinate of the rotation center.

void Clutter::Actor::set_scale | ( | double | scale_x,
|  | double | scale_y |
| ) |  |  |

Scales an actor with the given factors.

The scaling is relative to the scale center and the anchor point. The scale center is unchanged by this function and defaults to 0,0.

Since cluttermm 0.2:

Parameters:

  | scale_x | Double factor to scale actor by horizontally.
  | scale_y | Double factor to scale actor by vertically.

void Clutter::Actor::set_scale_full | ( | double | scale_x,
|  | double | scale_y,
|  | float | center_x,
|  | float | center_y |
| ) |  |  |

Scales an actor with the given factors around the given center point.

The center point is specified in pixels relative to the anchor point (usually the top left corner of the actor).

Since cluttermm 1.0:

Parameters:

  | scale_x | Double factor to scale actor by horizontally.
  | scale_y | Double factor to scale actor by vertically.
  | center_x | X coordinate of the center of the scale.
  | center_y | Y coordinate of the center of the scale.

void Clutter::Actor::set_scale_with_gravity | ( | double | scale_x,
|  | double | scale_y,
|  | Gravity | gravity |
| ) |  |  |

Scales an actor with the given factors around the given center point.

The center point is specified as one of the compass directions in Clutter::Gravity. For example, setting it to north will cause the top of the actor to remain unchanged and the rest of the actor to expand left, right and downwards.

Since cluttermm 1.0:

Parameters:

  | scale_x | Double factor to scale actor by horizontally.
  | scale_y | Double factor to scale actor by vertically.
  | gravity | The location of the scale center expressed as a compass direction.

void Clutter::Actor::set_shader | ( | const Glib::RefPtr< Shader >& | shader | ) |

Sets the Clutter::Shader to be used when rendering self.

If shader is `0` it will unset any currently set shader for the actor.

Since cluttermm 0.6:

Parameters:

  | shader | A Clutter::Shader or `0` to unset the shader.

Returns:
  `true` if the shader was successfully applied.

template <class ParamType >

void Clutter::Actor::set_shader_param | ( | const Glib::ustring & | param,
|  | const ParamType & | value |
| ) |  |  |

Sets the value for a named parameter of the shader applied to actor.

Since cluttermm 1.0:

Parameters:

  | param | The name of the parameter.
  | value | The value of the parameter.

void Clutter::Actor::set_shader_param_value | ( | const Glib::ustring & | param,
|  | const Glib::ValueBase & | value |
| ) |  |  | `[protected]`

Sets the value for a named parameter of the shader applied to actor.

Since cluttermm 1.0:

Parameters:

  | param | The name of the parameter.
  | value | The value of the parameter.

void Clutter::Actor::set_size | ( | float | width,
|  | float | height |
| ) |  |  |

Sets the actor's size request in pixels.

This overrides any "normal" size request the actor would have. For example a text actor might normally request the size of the text; this function would force a specific size instead.

If width and/or height are -1 the actor will use its "normal" size request instead of overriding it, i.e. you can "unset" the size with -1.

This function sets or unsets both the minimum and natural size.

Parameters:

  | width | New width of actor in pixels, or -1.
  | height | New height of actor in pixels, or -1.

void Clutter::Actor::set_text_direction | ( | TextDirection | text_dir | ) |

Sets the Clutter::TextDirection for an actor.

The passed text direction must not be Clutter::TEXT_DIRECTION_DEFAULT

If self implements Clutter::Container then this function will recurse inside all the children of self (including the internal ones).

Composite actors not implementing Clutter::Container, or actors requiring special handling when the text direction changes, should connect to the Object::notify signal for the Clutter::Actor:text-direction property

Since cluttermm 1.2:

Parameters:

  | text_dir | The text direction for self.

void Clutter::Actor::set_width | ( | float | width | ) |

Forces a width on an actor, causing the actor's preferred width and height (if any) to be ignored.

If width is -1 the actor will use its preferred width request instead of overriding it, i.e. you can "unset" the width with -1.

This function sets both the minimum and natural size of the actor.

since: 0.2

Parameters:

  | width | Requested new width for the actor, in pixels, or -1.

void Clutter::Actor::set_x | ( | float | x | ) |

Sets the actor's X coordinate, relative to its parent, in pixels.

Overrides any layout manager and forces a fixed position for the actor.

Since cluttermm 0.6:

Parameters:

  | x | The actor's position on the X axis.

void Clutter::Actor::set_y | ( | float | y | ) |

Sets the actor's Y coordinate, relative to its parent, in pixels.

#

Overrides any layout manager and forces a fixed position for the actor.

Since cluttermm 0.6:

Parameters:

  | y | The actor's position on the Y axis.

void Clutter::Actor::set_z_rotation_from_gravity | ( | double | angle,
|  | Gravity | gravity |
| ) |  |  |

Sets the rotation angle of self around the Z axis using the center point specified as a compass point.

For example to rotate such that the center of the actor remains static you can use Clutter::GRAVITY_CENTER. If the actor changes size the center point will move accordingly.

Since cluttermm 1.0:

Parameters:

  | angle | The angle of rotation.
  | gravity | The center point of the rotation.

bool Clutter::Actor::should_pick_paint | ( |  | ) | const

Should be called inside the implementation of the Clutter::Actor::pick virtual function in order to check whether the actor should paint itself in pick mode or not.

This function should never be called directly by applications.

Returns:
  `true` if the actor should paint its silhouette, `false` otherwise.

void Clutter::Actor::show | ( |  | ) |

Flags an actor to be displayed.

An actor that isn't shown will not be rendered on the stage.

Actors are visible by default.

If this function is called on an actor without a parent, the Clutter::Actor:show-on-set-parent will be set to `true` as a side effect.

void Clutter::Actor::show_all | ( |  | ) |

Calls show() on all children of an actor (if any).

Since cluttermm 0.2:

virtual void Clutter::Actor::show_all_vfunc | ( |  | ) | `[protected, virtual]`

Glib::SignalProxy2< void,const ActorBox&,AllocationFlags > Clutter::Actor::signal_allocation_changed | ( |  | ) |

Prototype:
  `void on_my_allocation_changed(const ActorBox& box, AllocationFlags flags)`

Glib::SignalProxy1< bool,ButtonEvent* > Clutter::Actor::signal_button_press_event | ( |  | ) |

Prototype:
  `bool on_my_button_press_event(ButtonEvent* event)`

Glib::SignalProxy1< bool,ButtonEvent* > Clutter::Actor::signal_button_release_event | ( |  | ) |

Prototype:
  `bool on_my_button_release_event(ButtonEvent* event)`

Glib::SignalProxy1< bool,Event* > Clutter::Actor::signal_captured_event | ( |  | ) |

Prototype:
  `bool on_my_captured_event(Event* event)`

Glib::SignalProxy0< void > Clutter::Actor::signal_destroy | ( |  | ) |

Prototype:
  `void on_my_destroy()`

Glib::SignalProxy1< bool,CrossingEvent* > Clutter::Actor::signal_enter_event | ( |  | ) |

Prototype:
  `bool on_my_enter_event(CrossingEvent* event)`

Glib::SignalProxy1< bool,Event* > Clutter::Actor::signal_event | ( |  | ) |

Prototype:
  `bool on_my_event(Event* event)`

Glib::SignalProxy0< void > Clutter::Actor::signal_hide | ( |  | ) |

Prototype:
  `void on_my_hide()`

Glib::SignalProxy0< void > Clutter::Actor::signal_key_focus_in | ( |  | ) |

Prototype:
  `void on_my_key_focus_in()`

Glib::SignalProxy0< void > Clutter::Actor::signal_key_focus_out | ( |  | ) |

Prototype:
  `void on_my_key_focus_out()`

Glib::SignalProxy1< bool,KeyEvent* > Clutter::Actor::signal_key_press_event | ( |  | ) |

Prototype:
  `bool on_my_key_press_event(KeyEvent* event)`

Glib::SignalProxy1< bool,KeyEvent* > Clutter::Actor::signal_key_release_event | ( |  | ) |

Prototype:
  `bool on_my_key_release_event(KeyEvent* event)`

Glib::SignalProxy1< bool,CrossingEvent* > Clutter::Actor::signal_leave_event | ( |  | ) |

Prototype:
  `bool on_my_leave_event(CrossingEvent* event)`

Glib::SignalProxy1< bool,MotionEvent* > Clutter::Actor::signal_motion_event | ( |  | ) |

Prototype:
  `bool on_my_motion_event(MotionEvent* event)`

Glib::SignalProxy0< void > Clutter::Actor::signal_paint | ( |  | ) |

Prototype:
  `void on_my_paint()`

Glib::SignalProxy1< void,const Glib::RefPtr<Actor>& > Clutter::Actor::signal_parent_set | ( |  | ) |

Prototype:
  `void on_my_parent_set(const Glib::RefPtr<Actor>& old_parent)`

Glib::SignalProxy1< void,const Color& > Clutter::Actor::signal_pick | ( |  | ) |

Prototype:
  `void on_my_pick(const Color& color)`

Glib::SignalProxy1< void,const Glib::RefPtr<Actor>& > Clutter::Actor::signal_queue_redaw | ( |  | ) |

Prototype:
  `void on_my_queue_redaw(const Glib::RefPtr<Actor>& origin)`

Glib::SignalProxy0< void > Clutter::Actor::signal_queue_relayout | ( |  | ) |

Prototype:
  `void on_my_queue_relayout()`

Glib::SignalProxy0< void > Clutter::Actor::signal_realize | ( |  | ) |

Prototype:
  `void on_my_realize()`

Glib::SignalProxy1< bool,ScrollEvent* > Clutter::Actor::signal_scroll_event | ( |  | ) |

Prototype:
  `bool on_my_scroll_event(ScrollEvent* event)`

Glib::SignalProxy0< void > Clutter::Actor::signal_show | ( |  | ) |

Prototype:
  `void on_my_show()`

Glib::SignalProxy0< void > Clutter::Actor::signal_unrealize | ( |  | ) |

Prototype:
  `void on_my_unrealize()`

void Clutter::Actor::transform_stage_point | ( | float | x,
|  | float | y,
|  | float & | x_out,
|  | float & | y_out |
| ) |  |  | const

This function translates screen coordinates ( x, y) to coordinates relative to the actor.

For example, it can be used to translate screen events from global screen coordinates into actor-local coordinates.

The conversion can fail, notably if the transform stack results in the actor being projected on the screen as a mere line.

The conversion should not be expected to be pixel-perfect due to the nature of the operation. In general the error grows when the skewing of the actor rectangle on screen increases.

Note:
  This function is fairly computationally intensive.
  This function only works when the allocation is up-to-date, i.e. inside of paint()

Since cluttermm 0.6:

Parameters:

  | x | X screen coordinate of the point to unproject.
  | y | Y screen coordinate of the point to unproject.
  | x_out | Return location for the unprojected x coordinance.
  | y_out | Return location for the unprojected y coordinance.

Returns:
  `true` if conversion was successful.

void Clutter::Actor::unmap | ( |  | ) |

Unsets the Clutter::ACTOR_MAPPED flag on the actor and possibly unmaps its children if they were mapped.

Calling this is allowed in only one case: you are implementing the Clutter::Actor::unmap virtual function in an actor and you need to unmap the children of that actor. It is not necessary to call this if you implement Clutter::Container because the default implementation will automatically unmap children of containers.

When overriding unmap, it is mandatory to chain up to the parent implementation.

Since cluttermm 1.0:

void Clutter::Actor::unparent | ( |  | ) |

Removes the parent of self.

This function should not be used in applications. It should be called by implementations of container actors, to dissociate a child from the container.

Since cluttermm 0.1:
  .1

void Clutter::Actor::unrealize | ( |  | ) |

Frees up any underlying graphics resources needed by the actor to be displayed.

Unrealization means the actor is now independent of any specific rendering context (is not attached to a specific toplevel stage).

Because mapped actors must be realized, actors may not be unrealized if they are mapped. This function hides the actor to be sure it isn't mapped, an application-visible side effect that you may not be expecting.

This function should not really be in the public API, because there isn't a good reason to call it. ClutterActor will already unrealize things for you when it's important to do so.

If you were using unrealize() in a dispose implementation, then don't, just chain up to ClutterActor's dispose.

If you were using unrealize() to implement unrealizing children of your container, then don't, ClutterActor will already take care of that.

If you were using unrealize() to re-realize to create your resources in a different way, then use _clutter_actor_rerealize() (inside Clutter) or just call your code that recreates your resources directly (outside Clutter).

void Clutter::Actor::unset_flags | ( | ActorFlags | flags | ) |

Unsets flags on self.

This function will emit notifications for the changed properties

Since cluttermm 1.0:

Parameters:

  | flags | The flags to unset.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Actor > wrap | ( | ClutterActor * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/actor.h